/**
 * @file Command_Group.h
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#pragma once

#include "../flags/CommandFlagsStack.h"
#include "../Command.h"

class Command_Group : public Command
{
public:
	Command_Group(CommandFlagsStack &commandFlagsStack);

	virtual void Execute(elementArray &elements, OutputHandler &out) override;

	GENERATE_HELP_ID_METHODS(GROUP)
private:
	CommandFlagsStack &commandFlagsStack;
};

