/**
 * @file Command_Report.h
 * @author Copyright (c) 2013 ESET, spol. s r.o.
 */

#pragma once

#include <Common/era_api/era_api.h>
#include "../flags/CommandFlagsStack.h"
#include "../Command.h"

class Command_Report : public Command
{
public:
	Command_Report(CommandFlagsStack &commandFlagsStack);

	virtual void Execute(elementArray &elements, OutputHandler &out) override;

	GENERATE_HELP_ID_METHODS(REPORT)

private:
	CommandFlagsStack &commandFlagsStack;

};
