/**
 * @file Command_Cls.cpp
 * @author Copyright (c) 2013 ESET, spol. s r.o.
 */

#include "set_nod.h"
#include "Command_Cls.h"


void Command_Cls::Execute(elementArray &elements, OutputHandler &out)
{
	system("cls");

	//it is possible that small part of eset logo stays visible, so lets make sure it is gone
	HANDLE hStdout = GetStdHandle(STD_OUTPUT_HANDLE);
	CONSOLE_SCREEN_BUFFER_INFO info;
	GetConsoleScreenBufferInfo(hStdout, &info);
	for (int i=0;i<info.srWindow.Bottom+1;i++) 
		std::wcout << std::endl;
	system("cls");
}

