/**
 * @file Command_Path.h
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#pragma once

#include "../Command.h"

struct CommandFlags;

class Command_Path : public Command
{
public:
	Command_Path(const std::wstring &currentScriptPath);

public:
	virtual void Execute(elementArray &elements, OutputHandler &out) override;

	GENERATE_HELP_ID_METHODS(PATH)

private:
	std::wstring currentScriptPath;

};

