/**
 * @file Command_PolicyImport.cpp
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#include "set_nod.h"
#include "Command_PolicyImport.h"

#include <Common/era_api/err_codes.h>
#include "../util/stringUtils.h"
#include "../Element.h"
#include "../EracmdExceptions.h"

void Command_PolicyImport::Execute(elementArray &elements, OutputHandler &out)
{
	std::wstring file = GetArgument(0)->GetString();

	uint32_t result_policyImport = era_Policy_import(file.c_str());
	if (result_policyImport != 0)
	{
		throw EraCMDException_FromApi(result_policyImport);
	}
}

