/**
 * @file Command_PolicyRuleCreate.h
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#pragma once

#include <Common/era_api/era_api.h>
#include "../Command.h"

class Command_PolicyRuleCreate : public Command
{
public:
	virtual void Execute(elementArray &elements, OutputHandler &out) override;

	void FillPolicyRuleParams(const int argNumOffset, Era_TaskParams &params);

	GENERATE_HELP_ID_METHODS(POLICY_RULE_CREATE)
};

