/**
 * @file Command_ReportServer.cpp
 * @author Copyright (c) 2014 ESET, spol. s r.o.
 */

#include "set_nod.h"
#include "Command_ReportServer.h"

#include <Common/era_api/err_codes.h>
#include <Common/scope_exit.h>
#include "../EracmdExceptions.h"
#include "../Element.h"

void Command_ReportServer::Execute(elementArray &elements, OutputHandler &out)
{
	std::wstring reportId = GetArgument(0)->GetString();
	std::wstring outputDirectoryPath = GetArgument(1)->GetString();

	uint32_t result = era_DownloadServerReport(reportId.c_str(), outputDirectoryPath.c_str());
	if (result != 0)
		throw EraCMDException_FromApi(result);
}

